curl --request POST \
--url https://api.snappy.com/public-api/v2/orders/addresses/validate \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"country": "US",
"address": {
"addressLine1": "123 Main St",
"zipcode": "12345",
"city": "New York",
"state": "NY"
}
}
'{
"message": "The address is correct",
"result": "verified"
}Validate a shipping address before placing an order. This endpoint checks that the provided address is valid and deliverable.
orders:read:masked or orders:read:unmaskedcurl --request POST \
--url https://api.snappy.com/public-api/v2/orders/addresses/validate \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"country": "US",
"address": {
"addressLine1": "123 Main St",
"zipcode": "12345",
"city": "New York",
"state": "NY"
}
}
'{
"message": "The address is correct",
"result": "verified"
}Documentation Index
Fetch the complete documentation index at: https://docs.snappy.com/llms.txt
Use this file to discover all available pages before exploring further.
Company level authentication provides access to all resources under your company, including accounts, campaigns, gifts, and recipients.
POST /v2/authentication/apiKeys endpoint to generate a new API keyInclude your API key in the X-Api-Key header for every request:
X-Api-Key: YOUR_24_CHARACTER_API_KEYFor production environments, enable mutual TLS authentication:
enforceMtls: true when creating the API keyhttps://mtls-api.snappy.com/public-apiSource of the request
api_native, api_zapier, api_salesforce, api_ftp, api_make "api_native"
Company ID
^[A-Za-z0-9]{8,}$"12345678"
Was this page helpful?